Subject: WG Action: RECHARTER: DNS Extensions (dnsext)

From: The IESG <[email-masked]>
Date: Thu, 29 Jan 2004 10:34:43 -0500

The charter of the DNS Extensions (dnsext) working group in the Internet Area 
of the IETF has been updated.  For additional information, please contact 
the Area Directors or the working group Chairs.

DNS Extensions (dnsext)
-----------------------

     Current Status: Active Working Group 

     Chair(s):
             Olafur Gudmundsson <[email-masked]>
             Olaf Kolkman <[email-masked]>

     Internet Area Director(s):
             Thomas Narten <[email-masked]>
             Margaret Wasserman <[email-masked]>

     Internet Area Advisor:
             Thomas Narten <[email-masked]>

     Mailing Lists:
             General Discussion: [email-masked]
             To Subscribe: [email-masked]
             Archive: <http://ops.ietf.org/lists/namedroppers/>

 Description of Working Group:

   DNS was originally specified in RFC's 1034 and 1035, with subsequent
   updates. Within the scope of this WG are DNS protocol issues,
   including the specification of message formats, message handling, and
   data formats used for DNS client-server and server-server
   communication.

   This WG is focused on advancing the zone transfer, update and notify
   documents to Draft standard and on the rewrite of the DNSSEC proposed
   standard.

   Issues surrounding the operation of DNS, recommendations concerning
   the configuration of DNS servers, and other issues with the use of
   the protocol are out of scope for this Working Group. These issues
   are considered in other venues, such as the DNS Operations Working
   Group.

   The DNSEXT Working Group actually uses an additional mailing list for
   discussion of DNS Security related issues. This list is open to
   all:

       Discussion: [email-masked]
       To Subscribe: [email-masked]
       Archive: http://www.cafax.se/dnssec/ and
                           ftp://ftp.cafax.se/pub/archives/dnssec.list

   The RFC2535bis document set is edited by a team that can be reached
   through [email-masked]. This team is chartered with
   making editorial changes only, with all substantative changes
   discussed on the WG list. Only the document editors and working group
   chairs are on this list, an archive of the mailing list is available at:
         Archive: http://www.east.isi.edu/projects/DNSSEC

 Specific work items are:

               o Protocol clarifications and corrections for DNSSEC, initially
                   these clarifications will be done as separate RFCs that will
                   later be folded into a document that we refer to as the RFC
                   2535bis document standard. These include changes that
                   simplify the operation of DNSSEC.

               o Generate new specification documents of DNSSEC (the RFC
                   2535bis document set) that includes all changes to RFC2535.
                   This includes the following RFCs 2931, 3007, 3008, 3090 and
                   3226 and a number of Internet Drafts including DS,
                   AD-is-secure, Key Signing Flag, NSEC RDATA etc. Advance this
                   document set through the standards process.

               o Clarification of RFC1034/1035 relating to DNSEXT ongoing work.
                   + Clarification of wildcard processing rules.
                   + Case insensitivity rules clarification.

               o After the work items above have been completed the working
                   group will continue on reviewing the following existing
                   proposed standard and examine if there is a possibility to
                   progress them on the standards track.

                   + RFC1995 (IXFR) to Draft standard.
                   + RFC1996 (Notify) to Draft standard.
                   + RFC2136bis (Dynamic Update) to Draft Standard.
                   + RFC2181 (Clarify) to IESG for advancement to Draft Standard.
                   + RFC2308 (Neg Caching) to Draft Standard.
                   + RFC2671 (EDNS0) to Draft Standard.
                   + RFC2672 (DNAME) to Draft Standard, or revision.
                   + RFC2845 (TSIG)to Draft standard.
                   + RFC2930 (TKEY) to Draft standard.
                   + RFC3007 (Secure Update) to Draft standard.
                   + RFC3645 GSS/TSIG to Draft Standard 
                   + RFC3??? AXFR clarify to Draft Standard.

               o Foster the development of Link Local Multicast Name
                   Resolution (LLMNR) standard. The WG has taken up this work
                   since LLMNR it is very similar to the DNS protocol. LLMNR is
                   targeted as proposed standard.

   The lifetime of the group is set by the work items above but while
   these are ongoing the working group has additional tasks:

               o Reviewing and providing recommendations about the specification,
                   by other working groups, of RR types that do not require any
                   special processing and that do not require any special naming
                   conventions.

 Goals and Milestones:

     Jan 04 Forward NSEC rdata to IESG for Proposed Standard
     Feb 04 Forward RFC2535-bis to IESG for proposed standard.
     Feb 04 Forward Case Insensitive to IESG for Proposed Standard
     Feb 04 Forward LLMNR to IESG for Proposed Standard.
     Mar 04 Forward Wildcard clarification to IESG for proposed standard
     Mar 04 Submit KEY algorithm documents RFC253[69]bis and
                     RFC3110 to IESG for proposed standard.
     Apr 04 Update boilerplate text on OPT-IN 
     Apr 04 Submit to IESG RFC2845 (TSIG)to Draft standard.

     Mar 04 Start of process of reviewing the following RFCs and to move them to 
                   Draft Standard status.
     May 04 RFC1982 (Serial Number Arithmetic)
     May 04 RFC2782 (SRV RR) to Draft Standard
     May 04 RFC2538 (CERT RR) to Draft Standard.
     Jun 04 RFC1995 (IXFR) to Draft standard
     Jun 04 RFC1996 (Notify) to Draft Standard.
     Jun 04 RFC2136 (Dynamic Update) to Draft Standard.
     Jul 04 RFC3007 (Secure Update) to Draft Standard.
     Jul 04 Submit to IESG RFC2930 (TKEY) to Draft standard.
     Jul 04 RFC2672 (DNAME) to Draft Standard or revision.
     Sep 04 RFC2181 (Clarify) to Draft Standard.
     Sep 04 RFC2671 (EDNS0) to Draft Standard.
     Sep 04 RFC2308 (Neg Caching) to Draft Standard.
     Nov 04 RFC3090 (DNSSEC zones tatus) to Draft Standard.
     Nov 04 FRC2539 (DH Key RR) to Draft Standard.
     Nov 04 RFC3226 (Message Size) to Draft Standard.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>